a = float(input('Podaj długość: '))
b = float(input('Podaj szerokość: '))
c = float(input('Podaj wysokość: '))
v = a*b*c

# W tej wersji: każdy warunek sprawdzam oddzielnie, aby podać info zwr dlaczego bagaż został odrzucony
# Próbuję z warunkiem pozytywnym...
# Podawany jest tylko pierwszy powód odrzucenia.
# W tej wersji wyszły nam zagnieżdżone ify - to nie wygląda zbyt dobrze...
if a <= 50:
    if b <= 50:
        if c <= 50:
            if v <= 50_000:
                print('Bagaż zaakceptowany')
            else:
                print('Bagaż odrzucony z powodu zbyt dużej objętości')
        else:
            print('Bagaż odrzucony z powodu zbyt dużej wysokości')
    else:
        print('Bagaż odrzucony z powodu zbyt dużej szerokości')
else:
    print('Bagaż odrzucony z powodu zbyt dużej długości')
